package internal

import "fmt"

type CommandExecutor struct {
	commands []HomeCommand
}

func (i *CommandExecutor) AddCommand(command HomeCommand) {
	i.commands = append(i.commands, command)
}

func (i *CommandExecutor) ExecuteAllCommands() {
	fmt.Println("execute all")
	for _, command := range i.commands {
		command.Execute()
	}
	i.commands = []HomeCommand{}
}
